# schema_salad.codegen

Generate language specific loaders for a particular SALAD schema.

## Attributes

`FIELD_SORT_ORDER` |

## Functions

`codegen`(lang, i, schema_metadata, loader[, target, ...]) | Generate classes with loaders for the given Schema Salad description.

## Module Contents

schema_salad.codegen.FIELD_SORT_ORDER = ['class', 'id', 'name']

schema_salad.codegen.codegen(lang, i, schema_metadata, loader, target=None, examples=None, package=None, copyright=None, spdx_copyright_text=None, spdx_license_identifier=None, parser_info=None)

  Generate classes with loaders for the given Schema Salad description.

  Parameters:

    - lang (str)

    - i (list[dict[str, str]])

    - schema_metadata (dict[str, Any])

    - loader (schema_salad.ref_resolver.Loader)

    - target (Optional[str])

    - examples (Optional[str])

    - package (Optional[str])

    - copyright (Optional[str])

    - spdx_copyright_text (Optional[list[str]])

    - spdx_license_identifier (Optional[str])

    - parser_info (Optional[str])

  Return type:

    None